EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EMF::CHARSTR Struct Reference

Represent an ASCII character string in a simple way. More...

`#include <libemf.h>`

## Public Member Functions
| CHARSTR (CHAR *const string, const int length)

## Public Attributes
CHAR *const | string_
| Array of single byte characters.
const int | length_
| Number of single byte characers in array.

## Detailed Description

Represent an ASCII character string in a simple way.

ASCII strings don't have to be byte swapped, but this structure allows us to provide a uniform stream-like interface for writing out all the components of metafiles.

## Constructor & Destructor Documentation

EMF::CHARSTR::CHARSTR | ( | CHAR *const | string,
|  | const int | length
| ) |  |
| inline

Simple constructor.

Parameters

  string | pointer to array of single byte characters.
  length | number of bytes in array.

The documentation for this struct was generated from the following file:

- libemf.h